Home

# Class goog.debug.FpsDisplay

Displays frames per seconds that the window this component is rendered in is animating at.

extends goog.ui.Component

Instance Method Summary
| `createDom()` Creates the initial DOM representation for the component. The default implementation is to set this.element_ = div.
| `enterDocument()` Called when the component's element is known to be in the document. Anything using document.getElementById etc. should be done at this stage. If the component contains child components, this call is propagated to its children.
| `exitDocument()` Called by dispose to clean up the elements and listeners created by a component, or by a parent component/application who has removed the component from the document but wants to reuse it later. If the component contains child components, this call is propagated to its children. It should be possible for the component to be rendered again once this method has been called.
| `getFps() ⇒ number`

Static Method Summary
| `FpsAnimation_(?Element elem)`